<?php
/**
 * The footer.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */

?>

</main>

<div class="govuk-clearfix"></div>
<div data-module="idsk-footer-extended">
	<footer class="idsk-footer-extended <?php echo ( true === get_theme_mod( 'idsktmp_footer_exteded_up_button', true ) ) ? 'idsk-footer-extended--up-button-enabled' : ''; ?>" role="contentinfo">
		<?php get_template_part( 'inc/partials/footer-extended/up', 'button' ); ?>
		<?php get_template_part( 'inc/partials/footer-extended/feedback', 'form' ); ?>
		<div class="idsk-footer-extended-main-content">
			<div class="govuk-width-container">
				<?php
				if ( is_active_sidebar( 'sidebar-1' ) ) {
					dynamic_sidebar( 'sidebar-1' );
				}
				if ( is_active_sidebar( 'sidebar-2' ) ) {
					dynamic_sidebar( 'sidebar-2' );
				}
				?>
				<div class="govuk-grid-column-full">
					<div class="idsk-footer-extended-description-panel idsk-footer-extended-description-panel-top-border">
						<?php get_template_part( 'inc/partials/footer-extended/navigation' ); ?>
						<div class="govuk-grid-column-two-thirds idsk-footer-extended-info-links">
							<?php
							if ( is_active_sidebar( 'sidebar-3' ) ) {
								dynamic_sidebar( 'sidebar-3' );
							}
							?>
						</div>
						<?php
						$idsktmp_footer_extended_logo = get_theme_mod( 'idsktmp_footer_extended_logo' ) ? get_theme_mod( 'idsktmp_footer_extended_logo' ) : '';
						if ( $idsktmp_footer_extended_logo ) {
							?>
							<div class="govuk-grid-column-one-third idsk-footer-extended-logo-box">
								<a
									href="<?php echo esc_url( home_url() ); ?>"
									title="<?php echo esc_attr( get_bloginfo( 'name' ) . ' - ' . __( 'Home', 'idsk-template' ) ); ?>">
									<img class="idsk-footer-extended-logo" src="<?php echo esc_url( $idsktmp_footer_extended_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
								</a>
							</div>
							<?php
						}
						?>
					</div>
				</div>
			</div>
		</div>
	</footer>
</div>

<?php wp_footer(); ?>
</body>
</html>
