<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?> class="govuk-template app-no-canvas-background">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>"/>
	<meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover">
	<meta name="theme-color" content="#0b0c0c"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<?php wp_head(); ?>
</head>
<body <?php body_class( 'govuk-template__body' ); ?>>
	<?php wp_body_open(); ?>

	<a href="#main-content" class="govuk-skip-link idsk-skip-link--sticky"><?php esc_html_e( 'Skip to main content', 'idsk-template' ); ?></a>

	<?php get_template_part( 'inc/partials/cookie', 'banner' ); ?>

	<header class="idsk-header-web " data-module="idsk-header-web">
		<?php get_template_part( 'inc/partials/global', 'info' ); ?>
		<div class="idsk-header-web__tricolor"></div>
		<?php get_template_part( 'inc/partials/header-extended/banner', 'gestor' ); ?>
		<?php get_template_part( 'inc/partials/header-extended/nav', 'main' ); ?>
		<div class="idsk-header-web__nav--divider"></div>
		<?php get_template_part( 'inc/partials/header-extended/nav', 'mobile' ); ?>
	</header>

	<?php get_template_part( 'inc/partials/phase', 'banner' ); ?>
	<?php get_template_part( 'inc/partials/alert', 'panel' ); ?>
	<?php get_template_part( 'inc/partials/breadcrumbs' ); ?>

	<main class="govuk-main-wrapper govuk-main-wrapper--auto-spacing govuk-!-padding-top-6 govuk-!-padding-bottom-6 govuk-body" id="main-content" role="main">
