<?php
/**
 * Global information.
 *
 * Shows informational or warning banner.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

$info_type  = get_theme_mod( 'idsktmp_main_settings_global_info_type' );
$info_text  = get_theme_mod( 'idsktmp_main_settings_global_info' );
$info_close = get_theme_mod( 'idsktmp_main_settings_global_info_close' );

if ( $info_text ) {
	?>
	<div class="idsk-header-web__banner <?php echo 'info' === $info_type ? 'idsk-header-web__banner--warning' : ''; ?>">
		<div class="govuk-width-container">
			<div class="govuk-grid-row">
				<div class="govuk-grid-column-full">
					<div class="govuk-body-s idsk-header-web__banner-title">
						<?php
						if ( 'info' === $info_type ) {
							?>
							<div class="idsk-header-web__warning-icon"></div>
							<?php
						}
						echo wp_kses(
							$info_text,
							array(
								'a' => array(
									'href'  => array(),
									'class' => array(),
									'title' => array(),
								),
							)
						);
						// phpcs:ignore Generic.WhiteSpace.ScopeIndent.IncorrectExact -- Line indentation is correct
						?>
					</div>
					<?php
					if ( $info_close ) {
						?>
						<button class="idsk-header-web__banner-close" aria-label="<?php esc_attr_e( 'Close banner', 'idsk-template' ); ?>"><span class="idsk-header-web__menu-close"></span></button>
						<?php
					}
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
