<?php
/**
 * Banner with gestor information and language switcher.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

$text          = get_theme_mod( 'idsktmp_setting_gestor_banner_text' );
$button        = get_theme_mod( 'idsktmp_setting_gestor_banner_button' );
$text_mobile   = get_theme_mod( 'idsktmp_setting_gestor_banner_text_mobile' );
$button_mobile = get_theme_mod( 'idsktmp_setting_gestor_banner_button_mobile' );
$more_info     = get_theme_mod( 'idsktmp_setting_gestor_banner_more_info' );
?>

<div class="idsk-header-web__brand">
	<div class="govuk-width-container">
		<div class="govuk-grid-row">
			<div class="govuk-grid-column-full">
				<?php
				if ( $text || $button ) {
					?>
					<div class="idsk-header-web__brand-gestor">
						<span class="govuk-body-s idsk-header-web__brand-gestor-text">
							<?php
							echo esc_html( $text );
							if ( $button ) {
								?>
								<button class="idsk-header-web__brand-gestor-button"
									aria-label="<?php esc_attr_e( 'Show website info', 'idsk-template' ); ?>"
									aria-expanded="false"
									data-text-for-hide="<?php esc_attr_e( 'Hide website info', 'idsk-template' ); ?>"
									data-text-for-show="<?php esc_attr_e( 'Show website info', 'idsk-template' ); ?>"
								>
									<?php echo esc_html( $button ); ?>
									<span class="idsk-header-web__link-arrow"></span>
								</button>
								<?php
							}
							?>
						</span>

						<span class="govuk-body-s idsk-header-web__brand-gestor-text--mobile">
							<?php
							echo esc_html( $text_mobile );
							if ( $button_mobile ) {
								?>
								<button class="idsk-header-web__brand-gestor-button"
									aria-label="<?php esc_attr_e( 'Show website info', 'idsk-template' ); ?>"
									aria-expanded="false"
									data-text-for-hide="<?php esc_attr_e( 'Hide website info', 'idsk-template' ); ?>"
									data-text-for-show="<?php esc_attr_e( 'Show website info', 'idsk-template' ); ?>"
								>
									<?php echo esc_html( $button_mobile ); ?>
									<span class="idsk-header-web__link-arrow"></span>
								</button>
								<?php
							}
							?>
						</span>

						<div class="idsk-header-web__brand-dropdown">
							<div class="govuk-width-container">
								<div class="govuk-grid-row">
									<div class="govuk-grid-column-full">
										<?php echo wp_kses_post( $more_info ); ?>
									</div>
								</div>
							</div>
						</div>
					</div>

					<div class="idsk-header-web__brand-spacer"></div>
					<?php
				}

				get_template_part( 'inc/partials/header-extended/lang', 'switcher' );
				?>
			</div>
		</div>
	</div>
</div>
