<?php
/**
 * Header logo.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */

$blog_info      = get_bloginfo( 'name' );
$custom_logo_id = get_theme_mod( 'custom_logo' );
$custom_logo    = wp_get_attachment_image_src( $custom_logo_id, 'full' );
$default_logo   = get_theme_mod( 'custom_logo' ) ? $custom_logo[0] : '';
$main_logo      = get_theme_mod( 'idsktmp_main_logo' ) ? get_theme_mod( 'idsktmp_main_logo' ) : $default_logo;
?>

<div class="idsk-header-web__main-headline">
	<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) . ' - ' . __( 'Home', 'idsk-template' ) ); ?>">
		<?php
		if ( $main_logo ) {
			?>
			<img src="<?php echo esc_url( $main_logo ); ?>"
				alt="<?php echo esc_attr( $blog_info ); ?>"
				class="idsk-header-web__main-headline-logo" />
			<?php
		} else {
			?>
			<h1 class="govuk-heading-m"><?php echo esc_html( $blog_info ); ?></h1>
			<?php
		}
		?>
	</a>

	<button class="idsk-button idsk-header-web__main-headline-menu-button" aria-label="<?php esc_attr_e( 'Expand menu', 'idsk-template' ); ?>" aria-expanded="false"
		data-text-for-show="<?php esc_attr_e( 'Expand menu', 'idsk-template' ); ?>" data-text-for-hide="<?php esc_attr_e( 'Hide menu', 'idsk-template' ); ?>">
		<?php esc_html_e( 'Menu', 'idsk-template' ); ?>
		<div class="idsk-header-web__menu-open"></div>
		<div class="idsk-header-web__menu-close"></div>
	</button>
</div>
