<?php
/**
 * In-page navigation.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.2.0
 */

$index = 0;
?>
<div class="idsk-in-page-navigation govuk-grid-column-one-quarter" data-module="idsk-in-page-navigation">
	<div class="idsk-in-page-navigation-wrapper">
		<div class="idsk-in-page-navigation__title"><?php esc_html_e( 'Content', 'idsk-template' ); ?></div>
		<div class="idsk-in-page-navigation__link-panel">
			<button class="idsk-in-page-navigation__link-panel-button"><?php esc_html_e( 'Introduction', 'idsk-template' ); ?></button>
		</div>

		<ul class="idsk-in-page-navigation__list">
			<?php
			// Show intro item. Be sure to have same ID as post/page wrapper.
			get_template_part(
				'inc/partials/inpage',
				'item',
				array(
					'id'    => 'uvod',
					'title' => __( 'Introduction', 'idsk-template' ),
					'index' => ++$index,
				)
			);

			// Load posts loop.
			while ( have_posts() ) {
				the_post();

				$get_content = apply_filters( 'the_content', get_the_content() );
				$content     = new DOMDocument();
				libxml_use_internal_errors( true );
				$content->loadHTML( '<?xml encoding="utf-8" ?>' . $get_content );
				libxml_clear_errors();
				$xpath_content = new DOMXpath( $content );
				$elems         = $xpath_content->query( '//h1[@id] | //h2[@id] | //h3[@id] | //h4[@id] | //h5[@id] | //h6[@id] | //p[@id]' );

				foreach ( $elems as $el ) {
					get_template_part(
						'inc/partials/inpage',
						'item',
						array(
							'id'    => $el->getAttribute( 'id' ),
							'title' => $el->textContent, // phpcs:ignore WordPress.NamingConventions.ValidVariableName.UsedPropertyNotSnakeCase -- DOMElement
							'index' => ++$index,
						)
					);
				}
			}

			if ( 'post' === get_post_type() ) {
				$related_topics = get_post_meta( get_the_ID(), 'idsktk_allow_post_related_topics', true );
				if ( ! empty( $related_topics ) ) {
					get_template_part(
						'inc/partials/inpage',
						'item',
						array(
							'id'    => 'post-related-topics',
							'title' => __( 'Related topics', 'idsk-template' ),
							'index' => ++$index,
						)
					);
				}

				$related_posts = get_post_meta( get_the_ID(), 'idsktk_allow_post_related_posts', true );
				if ( ! empty( $related_posts ) ) {
					get_template_part(
						'inc/partials/inpage',
						'item',
						array(
							'id'    => 'post-related-posts',
							'title' => __( 'Related articles', 'idsk-template' ),
							'index' => ++$index,
						)
					);
				}
			}
			?>
		</ul>
	</div>
</div>
<?php
// Reset pointer to the start.
rewind_posts();
