<?php
/**
 * Template for displaying share links.
 *
 *    $args = array(
 *      'title' => string,
 *      'url'   => string,
 *      'img'   => string|array,
 *    );
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

?>

<a href="<?php echo esc_url( $args['url'] ); ?>" class="govuk-link" title="<?php echo esc_attr( $args['title'] ); ?>">
	<span>
		<?php
		if ( is_array( $args['img'] ) ) {
			$i = 0;
			foreach ( $args['img'] as $img ) {
				echo '<img src="' . esc_url( $img ) . '" alt="' . esc_attr( $args['title'] ) . '" />';
				echo count( $args['img'] ) !== ++$i ? ' &nbsp ' : '';
			}
		} else {
			echo '<img src="' . esc_url( $args['img'] ) . '" alt="' . esc_attr( $args['title'] ) . '" />';
		}
		?>
	</span>
</a>
