<?php
/**
 * Phase banner.
 *
 * Shows website version.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

if ( get_theme_mod( 'idsktmp_show_version_info' ) ) {
	$allowed_html = array(
		'strong' => array(),
		'a'      => array(
			'target'     => array(),
			'href'       => array(),
			'class'      => array(),
			'title'      => array(),
			'aria-label' => array(),
			'id'         => array(),
		),
	);
	?>
	<div class="govuk-width-container">
		<div class="govuk-phase-banner">
			<p class="govuk-phase-banner__content">
				<strong class="govuk-tag govuk-phase-banner__content__tag">
					<?php echo esc_html( get_theme_mod( 'idsktmp_show_version_info' ) ); ?>
				</strong>
				<span class="govuk-phase-banner__text">
					<?php
					echo wp_kses(
						get_theme_mod( 'idsktmp_show_version_info_text' ),
						$allowed_html
					)
					. ' ' .
					wp_kses(
						get_theme_mod( 'idsktmp_show_version_info_date' ),
						$allowed_html
					);
					?>
				</span>
			</p>
		</div>
	</div>
	<?php
}
