<?php
/**
 * Template for displaying related content.
 *
 *    $args = array(
 *      'id'    => string,
 *      'title' => string,
 *      'items' => array,
 *    );
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

?>

<div class="govuk-grid-row" id="<?php echo esc_attr( $args['id'] ); ?>">
	<div class="govuk-grid-column-full">
		<div class="idsk-related-content" data-module="idsk-related-content">
			<hr class="idsk-related-content__line" aria-hidden="true">
			<h4 class="idsk-related-content__heading govuk-heading-s"><?php echo esc_html( $args['title'] ); ?></h4>

			<?php
			if ( ! empty( $args['items'] ) ) {
				?>
				<ul class="idsk-related-content__list govuk-list">
					<?php
					foreach ( $args['items'] as $item ) {
						?>
						<li class="idsk-related-content__list-item">
							<a class="idsk-related-content__link" href="<?php echo esc_url( $item['url'] ); ?>" title="<?php echo esc_attr( $item['title'] ); ?>">
								<?php echo esc_html( $item['title'] ); ?>
							</a>
						</li>
						<?php
					}
					?>
				</ul>
				<?php
			}
			?>
		</div>
	</div>
</div>
