<?php
/**
 * Template for displaying date of last post update
 * and showing list of updates.
 *
 *    $args = array(
 *      'type'  => 'top' || 'bottom',
 *      'allow' => bool,
 *      'items' => array,
 *    );
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.3.0
 */

?>

<p class="govuk-body-s idsk-article-pattern__text-silver--<?php echo 'top' === $args['type'] ? 'down' : 'up'; ?>">
	<?php
	if ( get_the_modified_time( 'U' ) > get_the_time( 'U' ) ) {
		echo sprintf(
			/* translators: %s: date */
			esc_html__( 'Updated %s', 'idsk-template' ),
			esc_html( get_the_modified_date() )
		);

		if ( true === $args['allow'] ) {
			if ( 'top' === $args['type'] ) {
				?>
				-
				<a class="govuk-link" href="#" title="<?php esc_attr_e( 'show updates', 'idsk-template' ); ?>" onclick="scrollToNews(); return false">
					<?php esc_html_e( 'show updates', 'idsk-template' ); ?>
				</a>
				<?php
			} else {
				?>
				<a class="govuk-link" id="idsk-article__content__button" href="#" title="<?php esc_attr_e( '+ show updates', 'idsk-template' ); ?>" onclick="scrollToNews(); return false" 
					data-opened="<?php esc_attr_e( '- hide updates', 'idsk-template' ); ?>" 
					data-closed="<?php esc_attr_e( '+ show updates', 'idsk-template' ); ?>"
				>
					<?php esc_html_e( '+ show updates', 'idsk-template' ); ?>
				</a>
				<?php
			}
		}
	} else {
		echo sprintf(
			/* translators: %s: date */
			esc_html__( 'Published %s', 'idsk-template' ),
			esc_html( get_the_date() )
		);
	}
	?>
</p>

<?php
if ( true === $args['allow'] && 'top' !== $args['type'] ) {
	?>
	<div id="idsk-article__content__news__div">
		<div class="govuk-grid-column-full" id="idsk-article__content__news">
			<?php
			if ( ! empty( $args['items'] ) ) {
				foreach ( $args['items'] as $item ) {
					?>
					<p class="govuk-body-s govuk-!-font-weight-bold"><?php echo esc_html( $item['date'] ); ?></p>
					<p class="govuk-body-s"><?php echo esc_html( $item['desc'] ); ?></p>
					<?php
				}
			}
			?>
			<p class="govuk-body-s govuk-!-font-weight-bold govuk-!-margin-top-3 govuk-!-margin-bottom-4">
				<?php
				echo sprintf(
					/* translators: %s: date */
					esc_html__( 'Published %s', 'idsk-template' ),
					esc_html( get_the_date() )
				);
				?>
			</p>
		</div>
	</div>
	<?php
}
