<?php // phpcs:ignore WordPress.Files.FileName.NotHyphenatedLowercase
/**
 * Template Name: In-page navigation
 * Template Post Type: page
 *
 * Inpage navigation works with WordPress HTML anchors.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.2.0
 */

get_header();
?>
<div class="govuk-width-container">
	<?php
	if ( have_posts() ) {
		get_template_part( 'inc/partials/link', 'back' );
		?>
		<div class="govuk-grid-row">
			<?php get_template_part( 'inc/partials/inpage' ); ?>
			<div class="govuk-grid-column-three-quarters-from-desktop" id="uvod">
				<?php
				// Load posts loop.
				while ( have_posts() ) {
					the_post();
					the_title( '<h1 class="govuk-heading-xl govuk-!-margin-bottom-6">', '</h1>' );
					the_content();

					// If comments are open or there is at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				}
				?>
			</div>
		</div>
		<?php
	}
	?>
</div>
<?php
get_footer();
