<?php
/**
 * The template for displaying searchform.
 *
 * Used any time that get_search_form() is called.
 *
 * @link https://slovenskoit.sk
 *
 * @package WordPress
 * @subpackage ID-SK
 * @since ID-SK 1.0
 */

// Check whether the header search is activated in the customizer.
$enable_header_search       = get_theme_mod( 'idsktmp_enable_header_search', true );
$enable_header_search_class = true === $enable_header_search ? '' : 'search-hidden';
$search_id                  = wp_unique_id();
?>

<form class="idsk-header-web__main-action-search <?php echo esc_attr( $enable_header_search_class ); ?>" role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<input class="govuk-input govuk-!-display-inline-block"
		id="<?php echo 'idsk-header-web__main-action-search-input-' . esc_attr( $search_id ); ?>"
		name="s"
		placeholder="<?php esc_attr_e( 'Enter search term', 'idsk-template' ); ?>"
		title="<?php esc_attr_e( 'Enter search term', 'idsk-template' ); ?>"
		type="search"
		aria-describedby="input-width-30-hint"
		aria-label="<?php esc_attr_e( 'Enter search term', 'idsk-template' ); ?>"
		value="<?php echo esc_attr( get_search_query() ); ?>" />
	<button type="submit" class="govuk-button" data-module="govuk-button">
		<span class="govuk-visually-hidden"><?php esc_html_e( 'Search', 'idsk-template' ); ?></span>
		<i aria-hidden="true" class="fas fa-search"></i>
	</button>
</form>
